"use client";

import { TabsRef } from "@/components/common/tabs/tabs";
import { createContext, ReactNode, useContext } from "react";

interface TabsContextType {
	tabsRef: React.RefObject<TabsRef> | null;
}

const TabsContext = createContext<TabsContextType>({ tabsRef: null });

export const useTabsContext = () => useContext(TabsContext);

interface TabsProviderProps {
	children: ReactNode;
	tabsRef: React.RefObject<TabsRef>;
}

export function TabsProvider({ children, tabsRef }: TabsProviderProps) {
	return (
		<TabsContext.Provider value={{ tabsRef }}>
			{children}
		</TabsContext.Provider>
	);
} 